# vim: set ft=spec: -*- rpm-spec -*-
# $Id: aptitude,v 1.11 2005/01/30 20:01:36 raorn Exp $

%define ver 0.3.1
%define debver 3

Name: aptitude
Version: %{ver}deb%debver
Release: alt1

Summary: Terminal-based apt frontend
Summary(ru_RU.KOI8-R):  APT    
Group: System/Configuration/Packaging
License: GPL
Url: http://www.debian.org/Packages/unstable/admin/%name.html
Packager: Sir Raorn <raorn@altlinux.ru>

Source: ftp://ftp.debian.org/debian/pool/main/a/%name/%{name}_%{ver}.orig.tar.gz

Patch: ftp://ftp.debian.org/debian/pool/main/a/%name/%{name}_%{ver}-%debver.diff.gz
Patch1: %name-0.3.1-alt-cnc-rpm.patch
Patch2: %name-0.2.13-alt-default-group-policy.patch
Patch3: %name-0.2.15.8-alt-fixes.patch
Patch4: %name-0.3.1-alt-updates-component.patch

Requires: %{get_dep libapt}

BuildPreReq: libapt-devel >= 0.5.15cnc5-alt1

# Automatically added by buildreq on Sun Jan 30 2005
BuildRequires: automake_1.4 docbook-dtds docbook-style-xsl gcc-c++ libapt-devel libncurses-devel libpopt-devel librpm-devel libsigc++2.0-devel libstdc++-devel libtinfo-devel pkgconfig xml-common xsltproc

%set_autoconf_version 2.5
%set_automake_version 1.4

%description
aptitude is a terminal-based apt frontend with a number of useful
features, including: a mutt-like syntax for matching packages in a
flexible manner, dselect-like persistence of user actions, the
ability to retrieve and display the Debian changelog of most
packages, and extreme flexibility and customization.

aptitude is also Y2K-compliant, non-fattening, naturally cleansing,
and housebroken.

%package doc
Summary: English manual for aptitude, a terminal-based apt frontend
Group: Books/Computer books
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%description doc
aptitude is a terminal-based apt frontend.  This package contains the
English version of the aptitude user's manual in HTML format.

%prep
%setup -q -n %name-%ver
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Debian suxx...
%__subst 's,/usr/share/xml/docbook/stylesheet/nwalsh/,http://docbook.sourceforge.net/release/xsl/current/,' doc/*.xsl
%__subst 's,ln -s /usr/share/xml/docbook/stylesheet/nwalsh/images/,cp -p /usr/share/xml/docbook/xsl-stylesheets/images/,' doc/*/Makefile.am

%build
%add_optflags -fno-exceptions
%__aclocal
%__autoheader
%__automake
%__autoconf

%configure \
  --disable-werror \
  --disable-docs
%make_build
%make_build -C doc/en

%install
%__mkdir_p %buildroot%_localstatedir/%name
%make_install DESTDIR=%buildroot install
%__rm -rf %buildroot%_mandir

%make_install DESTDIR=%buildroot -C doc/en install-man

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog FAQ INSTALL NEWS README* TODO %name-hackers-guide.txt src/generic/README.hier
%_bindir/*
%_datadir/%name
%_man8dir/%name.8*
%_localstatedir/*

%files doc
%doc doc/en/output-html/*

%changelog
* Sun Jan 30 2005 Sir Raorn <raorn@altlinux.ru> 0.3.1deb3-alt1
- [0.3.1-3]
- Match Description parsing with apt-rpm's LongDesc format
- Put packages coming from updates.altlinux.org into "Security updates" section
- Enabled documentation (manpage and user's manual)
- Merge package descriptions from debian/control
- Updated build requires

* Sat Jan 29 2005 Sir Raorn <raorn@altlinux.ru> 0.2.15.8deb1-alt2.1
- Rebuilt with new libapt-pkg

* Thu Jan 20 2005 Dmitry V. Levin <ldv@altlinux.org> 0.2.15.8deb1-alt2
- Fixed compilation issues detected by g++-3.4.3.

* Fri Oct 08 2004 Sir Raorn <raorn@altlinux.ru> 0.2.15.8deb1-alt1
- [0.2.15.8-1]
- Do not hide Maintainer and Source package from package wiew.

* Mon Sep 20 2004 Sir Raorn <raorn@altlinux.ru> 0.2.15.7deb1-alt1
- [0.2.15.7-1]
- cnc-rpm patch updated from conectiva (thanx, boiko)
- Documentation removed (totally b0rken)

* Thu Jul 15 2004 Sir Raorn <raorn@altlinux.ru> 0.2.15.2deb1-alt1
- [0.2.15.2-1]

* Thu May 13 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.13-alt2.1
- Rebuilt with libapt-0.5.15cnc6-alt1.

* Fri Jan 16 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.13-alt2
- Updated rpm-apt patch.
- Fixed build.
- Rebuilt with apt-0.5.15cnc5.

* Sat Oct 11 2003 Sir Raorn <raorn@altlinux.ru> 0.2.13-alt1
- New maintainer
- [0.2.13]
- Removed patches:
  + alt-gcc3
- Updated patches:
  + alt-cnc-apt-rpm (was: cnc-rpm)
- Default package grouping policy set to
  "filter(missing),status,section(none,nopassthrough)"
- Updated buildreqs

* Wed Dec 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.11.1-alt1
- Updated to aptitude-0.2.11.1-2cl.

* Wed Sep 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.8-alt3
- rebuld with gcc3

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2.8-alt2
- Added librpm-4.0.4 build support.
- Built with librpm-4.0.4, updated buildrequires.

* Fri Mar 22 2002 Rider <rider@altlinux.ru> 0.2.8-alt1
- 0.2.8 with Conectiva patches.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.0.7.13-ipl11mdk
- Initial build with rpm4.

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl10mdk
- Corrected requires and buildrequires lists.
- Reworked compilation options again: we add only '-fno-exceptions' now.

* Wed Aug 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl9mdk
- Added %%optflags_nocpp to compilation options.
- Rebuilt with apt-0.3.19cnc52-alt2, corrected apt requires.

* Thu Jul 26 2001 Alexander Bokovoy <ab@altlinux.ru> 0.0.7.13-ipl8mdk
- rebuild against apt-get cnc51

* Sun Apr 14 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl7mdk
- rebuild against apt-get cnc38

* Tue Feb 20 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl6mdk
- Wrong group fixed

* Mon Feb 19 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl5mdk
- rebuild against apt-get cnc36

* Tue Jan 24 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl4mdk
- Incompabilities between libapt-pkg and aptitude sources fixed

* Tue Jan 22 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl3mdk
- New upstream version
- rebuild with new apt

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.0.7.6-ipl2mdk
- Specfile cleanup.

* Sun Dec 02 2000 Alexander Bokovoy <ab@avilink.net>
- MDK RE-fication
- Patch for incorrect class cast under gcc 2.96

* Mon Oct 16 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.6

* Fri Oct 13 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.4
- minor RPM cleanups
- specfile fixes

* Thu Oct 12 2000 Claudio Matsuoka <claudio@conectiva.com>
- added missing help file, manpage
- changed /var/state/aptitude to FHS-compliant /var/lib/aptitude

* Tue Oct 10 2000 Claudio Matsuoka <claudio@conectiva.com>
- upgraded to 0.0.7.3
- some RPM cleanup
- package quality: 50-60%

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- package created







